v-breadcrumbs {
    display: block;
    min-height: 62px;
}
@media (max-width: 1279px) {
    v-breadcrumbs {
        min-height: 50px;
    }
}
@media (max-width: 767px) {
    v-breadcrumbs {
        min-height: 45px;
    }
}

v-catalog:not([view="sale"]) {
    display: block;
    --card-height: 495px;
    --catalog-rows: var(--rows-desktop);
    min-height: calc(var(--catalog-rows) * var(--card-height));
}

@media (max-width: 1279px) {
    v-catalog:not([view="sale"]) {
        --catalog-rows: var(--rows-laptop);
    }
}
@media (max-width: 1024px) {
    v-catalog:not([view="sale"]) {
        --catalog-rows: var(--rows-mobile);
        --card-height: 230px;
    }
}

@media (max-width: 767px) {
    v-catalog:not([view="sale"]) {
        --catalog-rows: var(--rows-mobile);
        --card-height: 435px;
    }
}

v-catalog[view="sale"] {
    display: block;
    --card-sale-height: 230px;
    --catalog-sale-rows: var(--rows-desktop);
    min-height: calc(var(--catalog-sale-rows) * var(--card-sale-height));
}

@media (max-width: 1279px) {
    v-catalog[view="sale"] {
        --catalog-sale-rows: var(--rows-laptop);
        --card-sale-height: 445px;
    }
}

@media (max-width: 1023px) {
    v-catalog[view="sale"] {
        --catalog-sale-rows: var(--rows-tablet);
        --card-sale-height: 400px;
    }
}

@media (max-width: 639px) {
    v-catalog[view="sale"] {
        --catalog-sale-rows: var(--rows-mobile);
        --card-sale-height: 346px;
    }
}

v-catalog-item {
    display: block;
    min-height: 2500px;
}